Package: groovy.cli.picocli

## [Groovy] Class OptionAccessor

- groovy.cli.picocli.OptionAccessor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ParseResult` | `parseResult`
    `Map<String, TypedOption>` | `savedTypeOptions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `OptionAccessor (ParseResult parseResult)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<String>` | `arguments()`
    `<T>` | `T` | `defaultValue(String name)`
    `<T>` | `T` | `getAt(TypedOption<T> typedOption)`
    `<T>` | `T` | `getAt(TypedOption<T> typedOption, T defaultValue)`
    `` | `Properties` | `getOptionProperties(String name)`
    `<T>` | `T` | `getOptionValue(TypedOption<T> typedOption)`
    `<T>` | `T` | `getOptionValue(TypedOption<T> typedOption, T defaultValue)`
    `` | `def` | `getProperty(String name)`
    `` | `boolean` | `hasOption(TypedOption typedOption)`
    `` | `def` | `invokeMethod(String name, Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### ParseResult parseResult

    - #### Map<String, TypedOption> savedTypeOptions

  - ### Constructor Detail

    - #### OptionAccessor(ParseResult parseResult)

  - ### Method Detail

    - #### List<String> arguments()

    - #### <T> T defaultValue(String name)

    - #### <T> T getAt(TypedOption<T> typedOption)

    - #### <T> T getAt(TypedOption<T> typedOption, T defaultValue)

    - #### Properties getOptionProperties(String name)

    - #### <T> T getOptionValue(TypedOption<T> typedOption)

    - #### <T> T getOptionValue(TypedOption<T> typedOption, T defaultValue)

    - #### def getProperty(String name)

    - #### boolean hasOption(TypedOption typedOption)

    - #### def invokeMethod(String name, Object args)